package cn.com.poc.knowledge.query;

import java.io.Serializable;
import java.util.List;

/**
 * Query Condition class for KnowledgeQuery
 */
public class KnowledgeQueryCondition implements Serializable{
    
    private static final long serialVersionUID = 1L;
    

    private String memberId;
    
    public String getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(String memberId){
        this.memberId = memberId;
    }

    private String documentName;

    public String getDocumentName() {
        return documentName;
    }

    public void setDocumentName(String documentName) {
        this.documentName = documentName;
    }


    private String trainStatus;

    public String getTrainStatus() {
        return trainStatus;
    }

    public void setTrainStatus(String trainStatus) {
        this.trainStatus = trainStatus;
    }

    private String searchDocumentName;

    public String getSearchDocumentName() {
        return searchDocumentName;
    }

    public void setSearchDocumentName(String searchDocumentName) {
        this.searchDocumentName = searchDocumentName;
    }

    private List<Integer> kdIds;

    public List<Integer> getKdIds() {
        return kdIds;
    }

    public void setKdIds(List<Integer> kdIds) {
        this.kdIds = kdIds;
    }
}